%define nam xmailbox
%define ver 2.5
%define rel 14mdk

%define prefix %{_prefix}

Summary: An X Window System utility which notifies you of new mail.
Name: %nam
Version: %ver
Release: %rel
Copyright: MIT
Group: Networking/Mail
BuildRequires: XFree86-devel xpm-devel
Source0: ftp://ftp.x.org/contrib/applications/%{nam}-%{ver}.tar.bz2
Source1: %{nam}_menuentry.bz2
Source2: %{nam}.xpm.bz2
Source3: %{nam}32.xpm.bz2
Patch1: xmailbox-2.2-xpm.patch.bz2
Patch2: xmailbox-2.4-glibc.patch.bz2
BuildRoot: %{_tmppath}/%{nam}-buildroot
Prefix: %{prefix}
%description
The xmailbox program is an X Window System program which notifies you
when mail arrives.  Xmailbox is similar to the xbiff program, but it
offers more features and notification options.

Install the xmailbox package if you'd like a graphical program for X
which will notify you when new mail arrives.

%prep
%setup -q
%patch1 -p1
%patch2 -p1

%build
xmkmf
make CDEBUGFLAGS="$RPM_OPT_FLAGS"

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/etc/X11/wmconfig

make DESTDIR=$RPM_BUILD_ROOT install install.man
# (deush) icons
#  install -d $RPM_BUILD_ROOT%{prefix}/share/icons/mini
#  bzcat %{SOURCE2} > $RPM_BUILD_ROOT%{prefix}/share/icons/mini/xmailbox.xpm
#  bzcat %{SOURCE3} > $RPM_BUILD_ROOT%{prefix}/share/icons/xmailbox.xpm


#install menu
#  mkdir -p $RPM_BUILD_ROOT%{prefix}/lib/menu
#  bzcat %{SOURCE1} > $RPM_BUILD_ROOT%{prefix}/lib/menu/xmailbox


%post
## menu
#  if [ -x /usr/bin/update-menus ]; then
#    /usr/bin/update-menus
#  fi
/sbin/ldconfig

%postun
## menu
#  if [ "$1" = 0 ]; then
#    if [ -x /usr/bin/update-menus ]; then
#      /usr/bin/update-menus
#    fi
#  fi
/sbin/ldconfig

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc README
%{prefix}/X11R6/bin/xmailbox
%{prefix}/X11R6/man/man1/xmailbox.1*
%{prefix}/X11R6/lib/X11/app-defaults/XMailbox
#%{prefix}/lib/menu/xmailbox
#%{prefix}/share/icons

%changelog
* Tue Aug 08 2000 Frederic Lepied <flepied@mandrakesoft.com> 2.5-14mdk
- automatically added BuildRequires


* Fri Jul 21 2000 Thierry Vignaud <tvignaud@mandrakesoft.com> 2.5-13mdk
- BM

* Thu May  4 2000 Vincent Saugey <vince@mandrakesoft.com> 2.5-12mdk
- Remove menu entry

* Fri Apr 28 2000 Daouda Lo <daouda@mandrakesoft.com> 2.5-11mdk
- some changes to spec files
- add icons (entries without icons are very ugly ;-)

* Fri Mar 31 2000 DindinX <odin@mandrakesoft.com> 2.5-10mdk
- Spec and group fixes
- Menu

* Fri Nov 5 1999 Damien Krotkine <damien.mandrakesoft.com>
- Mandrake release

* Thu May 06 1999 Bernhard Rosenkraenzer <bero@mandrakesoft.com>
- Mandrake adaptions
- handle RPM_OPT_FLAGS

* Sun Mar 21 1999 Cristian Gafton <gafton@redhat.com> 
- auto rebuild in the new build environment (release 7)

* Fri Dec 18 1998 Bill Nottingham <notting@redhat.com>
- build for 6.0

* Wed Aug 12 1998 Jeff Johnson <jbj@redhat.com>
- build root

* Wed May 06 1998 Prospector System <bugs@redhat.com>
- translations modified for de, fr, tr

* Wed May 06 1998 Cristian Gafton <gafton@redhat.com>
- updated wmconfig Group line

* Wed Oct 29 1997 Marc Ewing <marc@redhat.com>
- wmconfig

* Mon Jul 21 1997 Erik Troan <ewt@redhat.com>
- built against glibc
